package com.mcwl.memberCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.memberCenter.domain.Benefit;
import com.mcwl.memberCenter.domain.dto.AddBenefitDto;
import com.mcwl.memberCenter.domain.vo.BenefitVo;
import com.mcwl.memberCenter.enums.MemberBenefitTypeEnum;

import java.util.List;

public interface BenefitService extends IService<Benefit> {

    List<Benefit> getBenefitList();


    List<Benefit> getBenefitListByMemberLevelId(Long memberLevelId);


    List<Benefit> getNotBenefitList(Long memberLevelId);

    Benefit getBenefitByType(Long memberLevelId, MemberBenefitTypeEnum memberBenefitTypeEnum);

    void addBenefit(AddBenefitDto addBenefitDto);

    List<BenefitVo> benefitList();
}
